Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: libogg-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		seren
Version:	0.0.21
Release:	alt2_16
Summary:	Simple VoIP program to create conferences from the terminal
License:	GPLv3+
URL:		http://holdenc.altervista.org/seren/
Source:		http://holdenc.altervista.org/seren/downloads/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:	libalsa-devel
BuildRequires:	libopus-devel
BuildRequires:	libncurses++-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires:	libgmp-devel libgmpxx-devel
Source44: import.info

%description
Seren is a simple VoIP program based on the Opus codec that allows you 
to create a voice conference from the terminal, with up to 10 
participants, without having to register accounts, exchange emails, or 
add people to contact lists.
All you need to join an existing conference is the host name or IP 
address of one of the participants.
Seren creates a dynamic peer-to-peer network of equivalent nodes which 
exchange text and audio data using a UDP connection, and offers the 
user the ability to change the quality/bitrate on the fly, encrypt the 
traffic and record the calls.

%prep
%setup -q

%build
%configure --enable-default-pulse
%make_build

%install
make install DESTDIR=%{buildroot}

%files
%{_bindir}/seren
%{_mandir}/man1/seren.1*
%doc COPYING README BUGS TODO Changelog


%changelog
* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.0.21-alt2_16
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.0.21-alt2_15
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.0.21-alt2_14
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.0.21-alt2_13
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.0.21-alt2_12
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.0.21-alt1_12
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.0.21-alt1_11
- update to new release by fcimport

* Fri Oct 04 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.21-alt1_10
- new version

